import * as monaco from 'monaco-editor';
import { IConfigurationChangeEvent } from 'vscode/services';
import * as vscode from 'vscode';
import { updateUserConfiguration, getUserConfiguration, onUserConfigurationChange, IConfigurationNode, IConfigurationDefaults } from '@codingame/monaco-vscode-configuration-service-override';
export declare function onConfigurationChanged(listener: (e: IConfigurationChangeEvent) => void): vscode.Disposable;
export declare function getConfiguration<C = Partial<monaco.editor.IEditorOptions>>(language?: string, section?: string): C | undefined;
export { updateUserConfiguration, getUserConfiguration, onUserConfigurationChange };
export declare function registerConfigurations(configurations: IConfigurationNode[], validate?: boolean): void;
export declare function registerDefaultConfigurations(defaultConfigurations: IConfigurationDefaults['overrides'][]): void;
